package com.qmth.sop.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 派单人员分配小计
 * @Author: CaoZixuan
 * @Date: 2023-08-16
 */
public class UserArchivesAllocationSubTotalResult {
    @ApiModelProperty("已发布派单数")
    private Integer publishedCrmCount;
    @ApiModelProperty("派单总数")
    private Integer totalCrmCount;

    @ApiModelProperty("已匹配实施工程师数")
    private Integer effectDistributed;
    @ApiModelProperty("实施工程师配额")
    private Integer effectQuota;

    @ApiModelProperty("已匹配助理工程师数")
    private Integer assistantDistributed;
    @ApiModelProperty("助理工程师配额")
    private Integer assistantQuota;

    @ApiModelProperty("已匹配区域协调人数")
    private Integer coordinatorDistributed;
    @ApiModelProperty("区域协调人配额")
    private Integer coordinatorQuota;

    public Integer getPublishedCrmCount() {
        return publishedCrmCount;
    }

    public void setPublishedCrmCount(Integer publishedCrmCount) {
        this.publishedCrmCount = publishedCrmCount;
    }

    public Integer getTotalCrmCount() {
        return totalCrmCount;
    }

    public void setTotalCrmCount(Integer totalCrmCount) {
        this.totalCrmCount = totalCrmCount;
    }

    public Integer getEffectDistributed() {
        return effectDistributed;
    }

    public void setEffectDistributed(Integer effectDistributed) {
        this.effectDistributed = effectDistributed;
    }

    public Integer getEffectQuota() {
        return effectQuota;
    }

    public void setEffectQuota(Integer effectQuota) {
        this.effectQuota = effectQuota;
    }

    public Integer getAssistantDistributed() {
        return assistantDistributed;
    }

    public void setAssistantDistributed(Integer assistantDistributed) {
        this.assistantDistributed = assistantDistributed;
    }

    public Integer getAssistantQuota() {
        return assistantQuota;
    }

    public void setAssistantQuota(Integer assistantQuota) {
        this.assistantQuota = assistantQuota;
    }

    public Integer getCoordinatorDistributed() {
        return coordinatorDistributed;
    }

    public void setCoordinatorDistributed(Integer coordinatorDistributed) {
        this.coordinatorDistributed = coordinatorDistributed;
    }

    public Integer getCoordinatorQuota() {
        return coordinatorQuota;
    }

    public void setCoordinatorQuota(Integer coordinatorQuota) {
        this.coordinatorQuota = coordinatorQuota;
    }
}
